/*
 *
 *	GenCLib
 *
 *	Ti-Gcc Header file
 *
 */


#ifndef	__GENCLIB

#define	__GENCLIB

#ifdef	__GENLIB
#error:	You can not include gen.h
#endif

#include "gen.h"

/*
 * Definitions des fonction
 */
#define	gl_init_screen	genclib__0000
void	gl_init_screen(SCREEN **scr, HANDLE *Hd);
#define	gl_init_dscreen	genclib__0001
void	gl_init_dscreen(DSCREEN **scr, HANDLE *Hd);
#define	gl_set_filter	genclib__0002
void	gl_set_filter(short filter);

#define	gl_put_pixel	genclib__0003
void	gl_put_pixel(short x, short y, short color);

#define	gl_draw_circle	genclib__0004
void	gl_draw_circle(short x, short y, short radius, short color);
#define	gl_draw_clipped_circle genclib__0005
void	gl_draw_clipped_circle(short x, short y, short radius, short color);

#define gl_send_byte	genclib__0006
void	gl_send_byte(unsigned char oct);
#define	gl_set_link	genclib__0007
void	gl_set_link(void* buf_rcpt, void* buf_send, short len_rcpt, short len_send);

#define gl_set_spr_xy	genclib__0008
void	gl_set_spr_xy(short x, short y);
#define gl_set_spr_tile	genclib__0009
void	gl_set_spr_tile(SPRITE_16 *tile_adr);

#define	gl_put_small_string	genclib__000A
void	gl_put_small_string(SCREEN *scr, short x, short y, char *str);
#define	gl_put_medium_string	genclib__000B
void	gl_put_medium_string(SCREEN *scr, short x, short y, char *str);
#define	gl_put_large_string	genclib__000C
void	gl_put_large_string(SCREEN *scr, short x, short y, char *str);

#define gl_put_big_sprite	genclib__000D
void	gl_put_big_sprite(short x, short y, BGS *bgs);
#define gl_put_big_sprite_flip_h	genclib__000E
void	gl_put_big_sprite_flip_h(short x, short y, BGS *bgs, BGS *tmp);
#define gl_put_big_sprite_flip_v	genclib__000F
void	gl_put_big_sprite_flip_v(short x, short y, BGS *bgs, BGS *tmp);
#define gl_put_big_sprite_flip_hv	genclib__0010
void	gl_put_big_sprite_flip_hv(short x, short y, BGS *bgs, BGS *tmp);

#define gl_put_sprite_16	genclib__0011
void	gl_put_sprite_16(short x, short y, short nbr);
#define gl_put_sprite_16_flip_h	genclib__0012
void	gl_put_sprite_16_flip_h(short x, short y, short nbr);
#define gl_put_sprite_16_flip_v	genclib__0013
void	gl_put_sprite_16_flip_v(short x, short y, short nbr);
#define gl_put_sprite_16_flip_hv	genclib__0014
void	gl_put_sprite_16_flip_hv(short x, short y, short nbr);

#define gl_set_screen_int	genclib__0015
void	gl_set_screen_int(SCREEN *scr1, SCREEN *scr2, SCREEN *scr3);
#define gl_set_dscreen_int	genclib__0016
void	gl_set_dscreen_int(DSCREEN *DScr);
#define gl_set_dscreen_function	genclib__0017
void	gl_set_dscreen_function(DSCREEN *DScr);

#define gl_push_hd	genclib__0018
void	gl_push_hd(HANDLE Hd);

#define gl_make_fast_sprite	genclib__0019
void	gl_make_fast_sprite(SPRITE_BW16 Spr, FAST_SPRITE fspr);


#define gl_init_plane	genclib__001A
PLANE	*gl_init_plane(unsigned char map[], SPRITE_16 tile[], short sizeX);
#define gl_free_plane	genclib__001B
void	gl_free_plane(PLANE *P);
#define gl_refresh_plane	genclib__001C
void	gl_refresh_plane(PLANE *P);
#define gl_copy_xyplane_xysprite	genclib__001D
void	gl_copy_xyplane_xysprite(PLANE *P);
#define gl_copy_dscreen_vscreen	genclib__001E
void	gl_copy_dscreen_vscreen(PLANE *P, DSCREEN *Dscr);

#define gl_update_vscreen_8	genclib__001F
void	gl_update_vscreen_8(PLANE *P);
#define gl_update_vscreen_16	genclib__0020
void	gl_update_vscreen_16(PLANE *P);
#define gl_update_roll_vscreen_16	genclib__0021
void	gl_update_roll_vscreen_16(PLANE *P);
#define gl_update_vscreen_max16	genclib__0022
void	gl_update_vscreen_max16(PLANE *P);

#define gl_put_plane	genclib__0023
void	gl_put_plane(PLANE *P);
#define gl_put_plane_89	genclib__0024
void	gl_put_plane_89(PLANE *P);
#define gl_put_fgrd_plane	genclib__0025
void	gl_put_fgrd_plane(PLANE *P);
#define gl_put_fgrd_plane_89	genclib__0026
void	gl_put_fgrd_plane_89(PLANE *P);
#define gl_put_dhz_plane	genclib__0027
void	gl_put_dhz_plane(PLANE *P, DHZ_TAB Dhz, HDZ_TAB Hdz);
#define gl_put_dhz_plane_89	genclib__0028
void	gl_put_dhz_plane_89(PLANE *P, DHZ_TAB Dhz, HDZ_TAB Hdz);
#define gl_put_dhz_fgrd_plane	genclib__0029
void	gl_put_dhz_fgrd_plane(PLANE *P, DHZ_TAB Dhz, HDZ_TAB Hdz);
#define gl_put_dhz_fgrd_plane_89	genclib__002A
void	gl_put_dhz_fgrd_plane_89(PLANE *P, DHZ_TAB Dhz, HDZ_TAB Hdz);

#define	gl_put_big_sprite_zoom	genclib__002B
void	gl_put_big_sprite_zoom(short x, short y, BGS *bgs, FIXED H_fact, FIXED V_fact);
#define	gl_put_sprite_16_zoom	genclib__002C
void	gl_put_sprite_16_zoom(short x, short y, short no, FIXED H_fact, FIXED V_fact);

#define	gl_draw_face	genclib__002D
void	gl_draw_face(POINT *Pt1, POINT *Pt2, POINT *Pt3, SCREEN *scr);
#define	gl_draw_clipped_face	genclib__002E
void	gl_draw_clipped_face(POINT *Pt1, POINT *Pt2, POINT *Pt3, SCREEN *scr);
#define	gl_draw_c_face	genclib__002F
void	gl_draw_c_face(POINT *Pt1, POINT *Pt2, POINT *Pt3, short color);
#define	gl_draw_clipped_c_face	genclib__0030
void	gl_draw_clipped_c_face(POINT *Pt1, POINT *Pt2, POINT *Pt3, short color);


#define	gl_do_zoom	genclib__0031
void	gl_do_zoom(short x, short y, FIXED H_fact, FIXED V_Fact,  short hor_words,
 short vert_rows, SCREEN *scr, unsigned short *texture, short texture_inc);

#define	gl_clip_line	genclib__0032
int	gl_clip_line(short *x1, short *y1, short *x2, short *y2);
#define	gl_draw_line	genclib__0033
void	gl_draw_line(short x1, short y1, short x2, short y2);
#define	gl_draw_clipped_line	genclib__0034
void	gl_draw_clipped_line(short x1, short y1, short x2, short y2);

#endif
